> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/replaceeipaddress.md).

# ReplaceEipAddress

## 1. API Description

This API (ReplaceEipAddress) is used to replace the elastic IP addresses.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">`ownIp`</mark> <mark style="color:blue;">is required for a 3-in-1 IP pool.</mark>
* <mark style="color:blue;">The API returns the elastic IP IDs that failed to operate. An empty list indicates all operations succeeded.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                        | Description                                   |
| -------------- | -------- | --------------------------------------------------------------------------- | --------------------------------------------- |
| replaceIps     | Yes      | Array of [ReplaceIp](/api-reference/compute/zec/datastructure.md#replaceip) | Lists of the original and target elastic IPs. |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedEipIds   | Array of String | Elastic IP IDs that failed to replace.                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Replace the elastic IP address.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ReplaceEipAddress


Request:
{
  "replaceIps": [
    {
      "eipId": "xxx",
      "targetIp": "88.188.128.203"
    }
  ]
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "failedEipIds":[],
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                          | Description                                                         |
| ---------------- | --------------------------------------------------- | ------------------------------------------------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND                            | Elastic IP does not exist.                                          |
| 400              | OPERATION\_DENIED\_CIDR\_CREATE\_SOURCE             | This operation is not supported by the CIDR source.                 |
| 400              | OPERATION\_DENIED\_EIP\_INSUFFICIENT                | Insufficient elastic IP stock.                                      |
| 400              | OPERATION\_DENIED\_EIP\_IN\_RISK\_CONTROL           | This operation is not supported for elastic IPs under risk control. |
| 400              | OPERATION\_DENIED\_EIP\_IP\_CHANGE\_LIMIT\_EXCEEDED | Replacement limit exceeded.                                         |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT        | Operation is not supported for the elastic IP in current status.    |
| 400              | OPERATION\_DENIED\_EIP\_UNSUPPORTED\_CUSTOMIZE      | The manually specified IP address is invalid.                       |
| 400              | OPERATION\_EIP\_PUBLIC\_IP\_CONFLICT                | Public IP address conflict exists.                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/replaceeipaddress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
